petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecReciprocal

Replaces each component of a vector by its reciprocal.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecReciprocal(Vec vec)

Logically Collective on Vec Many br

### Input Parameter

vec -the vector Many br

### Output Parameter

vec -the vector reciprocal Many br

Many br

### See Also

VecLog(), VecExp(), VecSqrtAbs()

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/snes/examples/tutorials/ex70.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html